Thread Locked This thread is locked - replies are not allowed.



Permlink Replies: 2 - Pages: 1 - Last Post: 15-Oct-2017 19:05 Last Post By: ctwist
ctwist

Posts: 1,411
Registered: 27-Sep-2003
Windows XP Compatibility
Posted: 05-Feb-2017 00:26
This thread is for those people who continue to use XP. It contains suggestions on how to keep jAlbum running on XP.

Don't post questions here. You should post questions in the General Discussion forum, although you will be lucky to find any support for XP.
ctwist

Posts: 1,411
Registered: 27-Sep-2003
Video encoding error in ffmpeg
Posted: 05-Feb-2017 00:28   in response to: ctwist in response to: ctwist
If your album contains videos, jAlbum uses ffmpeg to encode it. The last version of ffmpeg that is compatible with XP is 3.0, but jAlbum bundles a more recent version. Consequently, when jAlbum encodes a video, you will get an error such as
Target exception: java.lang.RuntimeException: java.io.IOException: Error during video creation. Please review video settings. 
ffmpeg process terminated abnormally with code -1073741511
You can download ffmpeg version 3.0 from https://ffmpeg.zeranoe.com/builds/win32/static. Extract ffmpeg.exe, and replace the file that jAlbum installed. To find this, select "Tools / Open Directories / Config directory", then open the bin sub-folder.

After replacing this file, jAlbum should be able to process videos.

Edited by: ctwist on 07-Feb-2017 14:50

I have changed my recommendation. The version of ffmpeg that I originally suggested was unable to encode one of my videos. When it failed, it did not produce an error message, and the jAlbum build failed silently.

Edited by: ctwist on 12-Jul-2017 12:51

ffmpeg version 3.0 is no longer available from the download link that I provided.

Edited by: ctwist on 14-Jul-2017 13:28

ffmpeg can be downloaded from https://www.videohelp.com/software/ffmpeg/old-versions. I have verified that ffmpeg.exe is identical to the version that I downloaded previously. The archive is in 7z format; if your decompression tool cannot handle this, I recommend 7-Zip.
ctwist

Posts: 1,411
Registered: 27-Sep-2003
Videos in Opera
Posted: 15-Oct-2017 19:05   in response to: ctwist in response to: ctwist
The latest version of Opera is 46, but the latest version that runs on XP is 36. This version is still viable because security updates are still being applied to version 36.

Support for the HTML video tag was added in Opera 25. Since then MP4 videos have played.

However a bug was introduced in version 36. MP4 videos do not play. They also do not play in Flash. Videos do play in version 46 in Win 10, so the bug has been fixed, but it looks like it will not be retrofitted to version 36.

So, if you have an album that contains videos, the videos will not play in Opera on XP. The workaround is to use a different web browser. Depending on which skin is used, videos may not play in some web browsers. In my tests, Chrome is the most reliable alternative.
Legend
Forum admins
Helpful Answer
Correct Answer

Point your RSS reader here for a feed of the latest messages in all forums